Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate
Interface HibernateRepositoryService

All Superinterfaces:
  RepositoryService, RepositoryUnsecure

All Known Implementing Classes:
  HibernateRepositoryServiceImpl

    public interface HibernateRepositoryService

extends RepositoryService, RepositoryUnsecure

Author:
  swood

Method Summary
`void` | `delete(ExecutionContext context, java.lang.String[] resourceURIs, java.lang.String[] folderURIs)`
`void` | `deleteFolder(ExecutionContext context, java.lang.String uri)`
`void` | `deleteResource(ExecutionContext context, java.lang.String uri)`
`RepoResource` | `findByURI(java.lang.Class persistentClass, java.lang.String uri, boolean required)`
`ResourceLookup[]` | `findResource(ExecutionContext context, FilterCriteria criteria)` Given filtering criteria, find relevant Resources.
`RepoResource` | `getRepoResource(Resource resource)`
`Resource` | `getResource(ExecutionContext context, java.lang.String uri)`
`FileResourceData` | `getResourceData(ExecutionContext context, java.lang.String uri)`
`Resource` | `newResource(ExecutionContext context, java.lang.Class _class)` Return a Resource that does not yet contain content.
`void` | `saveResource(ExecutionContext context, Resource resource)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.service.RepositoryService
`findResources, folderExists, getAllFolders, getChildrenFolderName, getContentResourceData, getFolder, getResource, getSubFolders, hideFolder, loadClientResources, loadResourcesList, loadResourcesList, loadResourcesList, repositoryPathExists, resourceExists, resourceExists, resourceExists, saveFolder, unhideFolder, validateResource`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.service.RepositoryUnsecure
`getFolderUnsecure, getResourceUnsecure`

Method Detail

### getResource

    Resource getResource(ExecutionContext context,
                         java.lang.String uri)

  Specified by:
    `getResource` in interface `RepositoryService`
  Parameters:
    `context` -
    `uri` -
  Returns:
    the resource if found or null otherwise

### getResourceData

    FileResourceData getResourceData(ExecutionContext context,
                                     java.lang.String uri)
                                     throws JSResourceNotFoundException

  Specified by:
    `getResourceData` in interface `RepositoryService`
  Parameters:
    `context` -
    `uri` -
  Returns:
  Throws:
    `JSResourceNotFoundException`

### saveResource

    void saveResource(ExecutionContext context,
                      Resource resource)

  Specified by:
    `saveResource` in interface `RepositoryService`

### deleteResource

    void deleteResource(ExecutionContext context,
                        java.lang.String uri)

  Specified by:
    `deleteResource` in interface `RepositoryService`

### deleteFolder

    void deleteFolder(ExecutionContext context,
                      java.lang.String uri)

  Specified by:
    `deleteFolder` in interface `RepositoryService`

### delete

    void delete(ExecutionContext context,
                java.lang.String[] resourceURIs,
                java.lang.String[] folderURIs)

  Specified by:
    `delete` in interface `RepositoryService`

### findResource

    ResourceLookup[] findResource(ExecutionContext context,
                                  FilterCriteria criteria)

  Given filtering criteria, find relevant Resources.

  Specified by:
    `findResource` in interface `RepositoryService`
  Parameters:
    `context` -
    `criteria` -
  Returns:
    Array of found Resources

### newResource

    Resource newResource(ExecutionContext context,
                         java.lang.Class _class)

  Description copied from interface: `RepositoryService`
  Return a Resource that does not yet contain content.

  Specified by:
    `newResource` in interface `RepositoryService`
  Returns:
    Resource

### findByURI

    RepoResource findByURI(java.lang.Class persistentClass,
                           java.lang.String uri,
                           boolean required)

### getRepoResource

    RepoResource getRepoResource(Resource resource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.